Skip to content
Last updated

title: Create Workflow keywords:

  • create workflow
  • post
  • create
  • workflow

Create a new workflow or update existing if external_id matches (upsert).

POSThttps://api.aitronos.com/v1/workflows

Request Body

name string required

Workflow name

description string optional

Workflow description

definition object required

Flow-plate workflow JSON definition

external_id string optional

Flow-plate internal flow ID for correlation


Returns

id string

Workflow ID (flow_ prefixed)

organization_id string

Organization ID

name string

Workflow name

description string or null

Workflow description

definition object

Flow-plate workflow JSON

version integer

Workflow version number

is_active boolean

Whether workflow is active

created_at integer

Creation timestamp (Unix)

updated_at integer

Update timestamp (Unix)

created_by string or null

Creator user ID

external_id string or null

Flow-plate flow ID

assistant_id string or null

Linked assistant ID

has_assistant boolean

Whether workflow has Assistant node

cURL
curl -X POST "https://api.aitronos.com/v1/workflows" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "your_name",
  "definition": {}
}'

Response:

201 OK
{
  "id": "flow_abc123def456",
  "organization_id": "org_abc123def456",
  "name": "My Resource",
  "description": "A description of the resource",
  "definition": {},
  "version": 1,
  "is_active": true,
  "created_at": 1731667800,
  "updated_at": 1731667800,
  "created_by": "example_created_by",
  "external_id": "abc123def456",
  "assistant_id": "asst_abc123def456",
  "has_assistant": false
}